## org.eclipse.emf.common.util
Interface EMap.InternalMapView<K,V>

All Superinterfaces:
  java.util.Map<K,V>

All Known Implementing Classes:
  BasicEMap.DelegatingMap, URIMappingRegistryImpl.URIMapImpl

Enclosing interface:
  EMap<K,V>

    public static interface EMap.InternalMapView<K,V>

extends java.util.Map<K,V>

An internal interface implemented by the `map view`. It provides access to the EMap view.

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Method Summary
`EMap<K,V>` `eMap()` Returns the EMap view of the map.

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Method Detail

### eMap

    EMap<K,V> eMap()

  Returns the EMap view of the map.

  Returns:
    the EMap view of the map.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.